Ubuntu

Nvidia driver causes xorg crash

Reported by Nate Wiebe on 2012-04-04
This bug affects 265 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Fedora)
New
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned

Bug Description

When using 12.04, X will crash and send me to the login screen. This can happen when working, or when the computer is idle.

I'm using version 295.33. I remember getting the same crash occuring on 11.10 when I upgraded to version 295.20 [version before 295.33], but this may or may not be the same bug.

Here are a few lines from the end of dmesg:

[24513.920780] NVRM: Xid (0000:02:00): 6, PE0001
[24514.021067] Xorg[4044]: segfault at 68 ip 00007f38dbb4aaf9 sp 00007fffca422bf0 error 4 in nvidia_drv.so[7f38dbae9000+6e0000]
[27450.598620] generic-usb 0003:1532:000A.0001: can't reset device, 0000:00:1d.0-1.1/input0, status -32
[27452.635920] generic-usb 0003:1532:000A.0002: can't reset device, 0000:00:1d.0-1.1/input1, status -32
[27456.598768] generic-usb 0003:1532:000A.0001: can't reset device, 0000:00:1d.0-1.1/input0, status -32
[27457.102295] generic-usb 0003:1532:000A.0002: can't reset device, 0000:00:1d.0-1.1/input1, status -32
[27464.628693] generic-usb 0003:1532:000A.0002: can't reset device, 0000:00:1d.0-1.1/input1, status -32
[27478.619087] generic-usb 0003:1532:000A.0001: can't reset device, 0000:00:1d.0-1.1/input0, status -32
[30168.523350] Xorg[5066] general protection ip:7f4d37605af9 sp:7fff1c0b65f0 error:0 in nvidia_drv.so[7f4d375a4000+6e0000]

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: nvidia-current 295.33-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.tmp.unity.support.test.0:

ApportVersion: 2.0-0ubuntu4
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Wed Apr 4 01:25:22 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120325)
MachineType: System76, Inc. Serval Professional
ProcEnviron:
 LANGUAGE=en_CA:en
 TERM=xterm
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=1d8777f4-3614-4d99-850e-a6067203b02e ro quiet splash vt.handoff=7
SourcePackage: nvidia-graphics-drivers
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 05/04/2010
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000
dmi.board.asset.tag: Tag 12345
dmi.board.name: Serval Professional
dmi.board.vendor: System76, Inc.
dmi.board.version: serp6
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: System76, Inc.
dmi.chassis.version: serp6
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/04/2010:svnSystem76,Inc.:pnServalProfessional:pvrserp6:rvnSystem76,Inc.:rnServalProfessional:rvrserp6:cvnSystem76,Inc.:ct9:cvrserp6:
dmi.product.name: Serval Professional
dmi.product.version: serp6
dmi.sys.vendor: System76, Inc.
version.compiz: compiz 1:0.9.7.4-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu35
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Nate Wiebe (natew) wrote :
Bryce Harrington (bryce) wrote :

Please collect a full backtrace on this crash - see http://wiki.ubuntu.com/X/Backtracing for guidance.

Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Nate Wiebe (natew) wrote :

Let me know if you require anything else.

Nate Wiebe (natew) on 2012-04-09
Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Opinion
status: Opinion → New
status: New → Confirmed
Nate Wiebe (natew) wrote :

Not sure exactly why this bug report is being ignored. It's very critical that this gets fixed. I can't downgrade to 290.10 drivers, so if I have to stick to 11.10, I will.

Eugene Antimirov (turist) wrote :

It happened to me already 5 times since yesterday's upgrade to 11.10->12.04.

syslog:

"Apr 27 13:57:44 yevgen kdm[1086]: X server for display :0 terminated unexpectedly".

kdm.log:

"Backtrace:
0: /usr/bin/X (xorg_backtrace+0x37) [0xb773af87]
1: /usr/bin/X (mieqEnqueue+0xf8) [0xb77191a8]
2: /usr/bin/X (0xb75b3000+0x4cac5) [0xb75ffac5]
3: /usr/bin/X (xf86PostMotionEventM+0xf9) [0xb7640b69]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb41d7000+0x3c3d) [0xb41dac3d]
5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb41d7000+0x524f) [0xb41dc24f]
6: /usr/bin/X (0xb75b3000+0x78081) [0xb762b081]
7: /usr/bin/X (0xb75b3000+0x9fab8) [0xb7652ab8]
8: (vdso) (__kernel_sigreturn+0x0) [0xb7590400]
9: /usr/lib/i386-linux-gnu/xorg/extra-modules/nvidia_drv.so (0xb482c000+0x61f12) [0xb488df12]
[mi] EQ overflow continuing. 1000 events have been dropped.
[mi] No further overflow reports will be reported until the clog is cleared.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x37) [0xb773af87]
1: /usr/bin/X (mieqEnqueue+0xf8) [0xb77191a8]
2: /usr/bin/X (0xb75b3000+0x4cac5) [0xb75ffac5]
3: /usr/bin/X (xf86PostMotionEventM+0xf9) [0xb7640b69]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb41d7000+0x3c3d) [0xb41dac3d]
5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb41d7000+0x524f) [0xb41dc24f]
6: /usr/bin/X (0xb75b3000+0x78081) [0xb762b081]
7: /usr/bin/X (0xb75b3000+0x9fab8) [0xb7652ab8]
8: (vdso) (__kernel_sigreturn+0x0) [0xb7590400]
9: /usr/lib/i386-linux-gnu/xorg/extra-modules/nvidia_drv.so (0xb482c000+0x61f06) [0xb488df06]"

Mihail Binev (mihail-binev) wrote :

I have a similar issue with nvidia drivers where X does not start at all and Ubuntu goes into login screen. Downgrading to 295.20 does nothing.

Is something wrong with the latest kernel, because the only way to boot is by using the older kernel (3.0.0+ in my case), not with the latest.
Hope it helps.

(12.04 LTS, 3.2.0-x kernel, lightdm, gnome3/unity, nvidia v295.20, 295.40)

tags: added: nvidia
Mark East (feasty) wrote :

I have the same issue where by I am thrown to the login screen (The first time caused a complete freeze of the system). I've not seen the issue on my other desktops which also run nvidia cards of various versions. This is a real pain for me as this is my main work desktop!

The card that this fails on is:

02:00.0 VGA compatible controller: NVIDIA Corporation G84 [Quadro FX 570] (rev a1)

Nate Wiebe (natew) wrote :

New backtrace with debug symbols: http://paste.ubuntu.com/948502/

Purdy (jason-purdy) wrote :

I'm also affected by this ... I found this thread that others are experiencing this:

http://www.nvnews.net/vbulletin/showthread.php?p=2551891#post2551891

I'm attaching my nvidia log here, too, if that helps.

Julien (julienmbpe) wrote :

Same issue here, whith this error message in dmesg :
[ 5089.775520] do_general_protection: 63 callbacks suppressed
[ 5089.775525] Xorg[1213] general protection ip:7facdca1b6a9 sp:7fff77d5d2f0 error:0 in nvidia_drv.so[7facdc9ba000+6e0000]

I don't know if it is a coincidence but each time it appens, I had a flash video playing in firefox...

John F Leach (jfleach) wrote :

[135735.561929] do_general_protection: 48 callbacks suppressed
[135735.561935] Xorg[6382] general protection ip:7f3a3b78c6a9 sp:7fff07e5fdb0 error:0 in nvidia_drv.so[7f3a3b72b000+6e0000]

Issue occurs when using flash-based apps with google-chrome or firefox. Problem will lockup nexuiz or other 3D games and cold boot is required to recover.

John F Leach (jfleach) wrote :

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G92 [GeForce 9800 GT] [10de:0614] (rev a2) (prog-if 00 [VGA controller])
 Subsystem: Device [196e:0719]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Region 3: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
 Region 5: I/O ports at bc00 [size=128]
 [virtual] Expansion ROM at fbbe0000 [disabled] [size=128K]
 Capabilities: [60] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
  Address: 0000000000000000 Data: 0000
 Capabilities: [78] Express (v2) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <4us
   ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #0, Speed 5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <1us
   ClockPM- Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  DevCap2: Completion Timeout: Not Supported, TimeoutDis+
  DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
  LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
  LnkSta2: Current De-emphasis Level: -6dB
 Capabilities: [100 v1] Virtual Channel
  Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
  Arb: Fixed- WRR32- WRR64- WRR128-
  Ctrl: ArbSelect=Fixed
  Status: InProgress-
  VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
   Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
   Ctrl: Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
   Status: NegoPending- InProgress-
 Capabilities: [128 v1] Power Budgeting <?>
 Capabilities: [600 v1] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
 Kernel driver in use: nvidia
 Kernel modules: nvidia_current, nvidia_current_updates, nouveau, nvidiafb

John F Leach (jfleach) wrote :

Added x-swat ppa and updated to 295.49, same issue occurs.

John F Leach (jfleach) wrote :

Issue occurs with 302.07 package.

$ apt-cache policy nvidia-current
nvidia-current:
  Installed: 302.07-0ubuntu1ppa1
  Candidate: 302.07-0ubuntu1ppa1
  Version table:
 *** 302.07-0ubuntu1ppa1 0
        500 http://ppa.launchpad.net/shiba89/nvidia-precise/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     295.40-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages

David Edwards (purple52) wrote :

I downgraded to 290.10 using the package available here:
https://launchpad.net/ubuntu/precise/amd64/nvidia-current/290.10-0ubuntu2
and have not had a crash for a whole day. Previously, it was crashing every hour or so.

MvW (2nv2u) wrote :

This issue should be assigned to someone by now and he/she should be working round the clock to fix this, there are litterally millions of pc's using nVidia hardware which all potentially have this bug.
People are loosing work because of this and it really pisses them off!
I've lost hours of work aswell, which results in litterally throwhing money down the drain.

Make this top priority it's been open for a month now!

Victor (victor-pillac) wrote :

@nosaer82 I could not agree more with you, it make the distribution useless!

I personally updated to 302.07, but it stills happends (but less frequently, or maybe I just stopped using flash/video)

There may be a solution here:
http://techcat.brainfull.net/?p=835 (spanish)

The suggested solution is to add the following ppa:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update

Then force the version 295.40 in synaptic.

Julien (julienmbpe) wrote :

@nosaer82 : an other solution is to (temporarily?) use the opensource driver, I don't have had any crash since I've done.

macramole (leandrogarber) wrote :

Hey guys,

I was having this issue too using Ubuntu 12.04 and the 295.40 NVidia drivers.

I added

Option "UseEvents" "False"

In the "Device" section of my /etc/X11/xorg.conf file .

It seems i'm not having any more crashes.. at least for now..

Cheers

Simon Morris (simon-morris) wrote :

Tried the above fix (editing /etc/X11/xorg.conf), seems to have reduced the rate of crashes for me. It allowed me to run a program to completion that previously was not possible, but have experienced one crash to login since making the change.

Reuben Firmin (reubenf) wrote :

I have had success running ubuntu 2D to avoid this. However I finally got annoyed enough with other bugs in 2D that I switched to KDE, which runs like a champ (although the default fonts need to be replaced first thing after install.) So I suspect Unity/Compiz is doing something the nvidia driver does not expect, given that both 2D and KDE are stable with the same driver.

macramole (leandrogarber) wrote :

Yes Morris, you are right, the crashes seem to have reduced but I get one from time to time... I'm trying ubuntu 2d now using compiz as window manager (http://askubuntu.com/questions/130443/how-to-run-compiz-on-unity-2d-ubuntu-12-04).

MvW (2nv2u) wrote :

@julienmbpe

I'm using multiple monitors on a Quadro FX based laptop with a docking station, which does not work with nouveau.
It was running perfectly fine before 12.04.
This bugs basically makes my laptop, which is my daily workstation, useless and I'm piratically forced to reinstall my machine with a previous version of Ubuntu.
It isn't reliable enough to work with it and I can't afford loosing work again.

I've also tried using 295.40 and 302.07, both contain the same bug (assuming it's the nvidia driver).

Still baffled that this bug isn't being addressed yet. There are 14 duplicate bug reports and almost 200 people are mentioning being affected by this bug and still nobody from Canonical, as far I can tell, is looking into this.

Besides the trouble it's causing me, regular desktop people are ditching Ubuntu (and Linux) and give this potential great desktop a bad reputation which it cannot afford.
You can't expect people who just want a working machine to hack into there system just because they upgraded to the newest version. Even if they tried to be save by using a LTS version for the sake of stability.

The fact that the bug exists within a LTS release is questionable, but the fact it's not being addressed after a Month (Even before the actual release), even for a free OS, is regrettable.

This really should be top priority not for my sake but the general acceptance of Linux as a great Windows and OS/X alternative.
Canonical has taken this burden upon them and shouldn't let it slip.

Bryce Harrington (bryce) on 2012-05-15
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: Confirmed → Triaged
Simon Morris (simon-morris) wrote :

I have also switched to Unity 2d and so far have had no crashes, so that does seem to be a work around for now.

Jbyvosges (j-lbarbry) wrote :

I tried the downgrade with 290.10. I don't have now any problems.

Purdy (jason-purdy) wrote :

I got pretty frustrated with this so I ended up making a backup of my homedir and doing a fresh install of 12.04 and haven't run into this again, yet.

Purdy (jason-purdy) wrote :

Oh no ... I just ran into this again! After a fresh install, so it's not an upgrade-related issue. I was watching the Flash video in Chrome on this page: http://googleblog.blogspot.com/2012/05/introducing-knowledge-graph-things-not.html and the x-server just b0rked and I was kicked back to the log in screen.

I found these relevant lines in my syslog:

May 16 15:57:47 jason-desktop kernel: [85074.193818] Xorg[2830] general protection ip:7fc712d046a9 sp:7fff666cb4b0 error:0 in nvidia_drv.so[7fc712ca3000+6e0000]
May 16 15:57:49 jason-desktop kernel: [85076.401865] eclipse[6819]: segfault at 18 ip 00007f67a935330e sp 00007fff8e201a80 error 4 in libgdk-x11-2.0.so.0.2400.10[7f67a92e1000+ad000]

Purdy (jason-purdy) wrote :

Ouch ... and again and I wasn't doing any video ... just scrolling down a webpage. Syslog:

May 16 16:08:17 jason-desktop kernel: [85704.213548] Xorg[1125] general protection ip:7f60e5d456a9 sp:7fffe72d7130 error:0 in nvidia_drv.so[7f60e5ce4000+6e0000]
May 16 16:08:17 jason-desktop gnome-session[1387]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
May 16 16:08:17 jason-desktop acpid: client 1125[0:0] has disconnected
May 16 16:08:17 jason-desktop acpid: client 1125[0:0] has disconnected
May 16 16:08:17 jason-desktop acpid: client connected from 3624[0:0]
May 16 16:08:17 jason-desktop acpid: 1 client rule loaded
May 16 16:08:18 jason-desktop acpid: client connected from 3624[0:0]
May 16 16:08:18 jason-desktop acpid: 1 client rule loaded
May 16 16:08:18 jason-desktop kernel: [85705.370742] eclipse[1490]: segfault at 18 ip 00007f07bb3ea30e sp 00007fff70338f20 error 4 in libgdk-x11-2.0.so.0.2400.10[7f07bb378000+ad000]

Purdy (jason-purdy) wrote :

Another use case ... I was just rsync'ing down a large list of files in a gnome-terminal session with unlimited scrollback and got another crash:

May 17 10:48:43 jason-desktop kernel: [152930.145972] NVRM: Xid (0000:02:00): 56, CMDre 00000007 00000000 ffffffff 00000003 00000000
May 17 10:48:47 jason-desktop gnome-session[3803]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
May 17 10:48:48 jason-desktop kernel: [152935.333552] eclipse[3906] trap divide error ip:7f884fa50f68 sp:7fffb47eca90 error:0 in libgtk-x11-2.0.so.0.2400.10[7f884f927000+42d000]

ar (arjenmeijernl) wrote :

Just remove the Nvidia driver and use the standard nouveau driver until this bug is fixed.

chicom9 (chicom9) wrote :

ok I try the fix of adding

Option "UseEvents" "False"

It helps. however as soon as I pull up flash on firefox the machines freezes cannot move the mouse. The system logs still show fallen of the bus error

May 17 13:25:54 t-rex kernel: [ 293.256042] NVRM: GPU at 0000:02:00.0 has fallen off the bus.

haaahaha so annoying

the

Option "UseEvents" "False"

 option don´t solved my problem.
the xorg crash when I run flash on firefox.

muhalifsirin (alperense) wrote :

Same crashes happen with Gnome 3 as well. So, I don't think it is compiz/unity specific. I don't know if it causes crashes on kwin.

Raceman (ubuntu-raceman) wrote :

Tryed with http://www.nvidia.com/object/linux-display-amd64-295.53-driver.html , the 295.53 version released at 16 may , but still the same problem. I can let it crash quickly with playing the video at http://www.adobe.com/devnet/flash/articles/vidtemplate-engage-with-flash.html

64Bit Ubuntu 12.04 LTS

ETA for a fix?

David (dboyd68) wrote :

So I just had the issue on Ubuntu 2d ( I have been running Ubuntu 2d for a few weeks without a crash)

I was browsing in chrome on Ubuntu 2d and crash occurred. I have the Nvidia 302.07 driver installed.

Download full text (5.2 KiB)

I installed the 290.10 using the x86_64 package downloaded off the NVIDIA
website. I had no crash ever since.
I stressed my system by playing multiple YouTube and Vimeo Flash HD clips
in parallel (that used to crash everytime), no problem!
If you don't need the latest changes in the drivers, this is a very viable
solution!

On Mon, May 21, 2012 at 10:50 AM, David <email address hidden> wrote:

> So I just had the issue on Ubuntu 2d ( I have been running Ubuntu 2d for
> a few weeks without a crash)
>
> I was browsing in chrome on Ubuntu 2d and crash occurred. I have the
> Nvidia 302.07 driver installed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/973096
>
> Title:
> Nvidia driver causes xorg crash
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Triaged
>
> Bug description:
> When using 12.04, X will crash and send me to the login screen. This
> can happen when working, or when the computer is idle.
>
> I'm using version 295.33. I remember getting the same crash occuring
> on 11.10 when I upgraded to version 295.20 [version before 295.33],
> but this may or may not be the same bug.
>
> Here are a few lines from the end of dmesg:
>
> [24513.920780] NVRM: Xid (0000:02:00): 6, PE0001
> [24514.021067] Xorg[4044]: segfault at 68 ip 00007f38dbb4aaf9 sp
> 00007fffca422bf0 error 4 in nvidia_drv.so[7f38dbae9000+6e0000]
> [27450.598620] generic-usb 0003:1532:000A.0001: can't reset device,
> 0000:00:1d.0-1.1/input0, status -32
> [27452.635920] generic-usb 0003:1532:000A.0002: can't reset device,
> 0000:00:1d.0-1.1/input1, status -32
> [27456.598768] generic-usb 0003:1532:000A.0001: can't reset device,
> 0000:00:1d.0-1.1/input0, status -32
> [27457.102295] generic-usb 0003:1532:000A.0002: can't reset device,
> 0000:00:1d.0-1.1/input1, status -32
> [27464.628693] generic-usb 0003:1532:000A.0002: can't reset device,
> 0000:00:1d.0-1.1/input1, status -32
> [27478.619087] generic-usb 0003:1532:000A.0001: can't reset device,
> 0000:00:1d.0-1.1/input0, status -32
> [30168.523350] Xorg[5066] general protection ip:7f4d37605af9
> sp:7fff1c0b65f0 error:0 in nvidia_drv.so[7f4d375a4000+6e0000]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: nvidia-current 295.33-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
> Uname: Linux 3.2.0-21-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.0-0ubuntu4
> Architecture: amd64
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Wed Apr 4 01:25:22 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20120325)
> MachineType: System76, Inc. Serval Professional
> ProcEnviron:
> LANGUAGE...

Read more...

tylerjwilk (tylerjwilk) wrote :

i can also confirm this bug. Nvidia here. Unity 2d does not crash. Must be 3d rendering with nvidia driver?

Linux 3.2.0-24-generic-pae #37-Ubuntu SMP Wed Apr 25 10:47:59 UTC 2012 i686 athlon i386 GNU/Linux

02:00.0 VGA compatible controller: NVIDIA Corporation G92 [GeForce 9800 GT] (rev a2)

As per David Edwards (purple52), 290.10 stops the xorg crash. I've been stable for over day now. Chrome seem to increase the crash frequency, but it's all good now.

Nice start to my migration from 7 to Ubuntu. Can finally get on with it now.

Omer Akram (om26er) on 2012-08-12
Changed in nvidia-graphics-drivers (Ubuntu):
importance: High → Critical
Omer Akram (om26er) on 2012-08-12
Changed in nvidia-graphics-drivers (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Omer Akram (om26er) on 2012-08-17
Changed in nvidia-drivers-ubuntu:
status: New → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Omer Akram (om26er) on 2012-08-17
Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Fix Released
tags: added: nvidia-current quantal
tags: added: unity
231 comments hidden view all 311 comments
ricardisimo (ricardisimo) wrote :

Sorry, not tried, succeeded in installing 304.37. It's installed, but 295.49 is still in use.

ricardisimo (ricardisimo) wrote :

OK. Tried Tye's suggestion from post #250, got nvidia-current recognized, then selected it, and then...
"Sorry, installation of this driver failed.
Please have a look at the log file for details: /var/log/jockey.log"

Please see attached.

Tye (tye3ow) wrote :

"What I don't get is that I have tried installed 304.37 invidia-current, but the driver in use (as per System Settings >> Additional Drivers) is nvidia-current-updates, and that is 295.49. Do I need to uninstall nvidia-current-updates?"

switch it to nvidia-current in the Additional Drivers tool.

Hector (hherrera1229) wrote :

still getting random log outs while using anything other than the 173.14 driver. tried 304.xx and 295.xx drivers all seemed to work fine for a couple of days and then log outs would start and just never stop even when reinstalling whichever driver i was trying. tried installing from repositories and .run files same results no matter which install method.

ricardisimo (ricardisimo) wrote :

>>> switch it to nvidia-current in the Additional Drivers tool.

It wasn't appearing as an option in Additional Drivers until I added the repo, even though it was definitely installed, at least as per Synaptic. No idea why.

So far so good, although to be honest I've gotten used to using my other machine, so I'll have to make some effort to spend more time on the nvidia computer.

Andrea Grandi (andreagrandi) wrote :

I've installed 304.43 on my Ubuntu 12.04, I've a Nvidia 8800 GS.
I'm trying to stress-test the computer: running games, watching movies with VLC at the same time, watching Youtube videos in the background etc.... no crashes for the moment but It's still to early to say it. I'll keep you updated if anything comes up.

Hector (hherrera1229) wrote :

out of curiosity i installed the 304.43 driver in my 11.10 install which was still on the 173.xx driver and now my 11.10 install gets random log outs. it crashed while i was checking my gmail. is my Nvidia G220M just not Ubuntu-friendly?

I've installed 304.43 on my Ubuntu 12.04 (Gnome-Shell) with Nvidia 8800 GT and experienced no crashes for whole week so it looks like this bug is really fixed in this driver release.

Same here. Ubuntu 12.04 and Gnome-Shell with Nvidia GeForce 8500 GT. No crashes since I have installed version 304.43 of Nvidia drivers. To avoid the crash before, the only way was using version 295.10.

Jean-Paul Argudo (jean-paul) wrote :

Ubuntu Precise 64, (Kubuntu to be precise)

nvidia driver version 304.43-0ubuntu1~precise~xup1

Two 560 ti in SLI (3 displays)

It happens quite randomly, but at least once a day.

I attach today's xlog error.

I may add I have severe issues with flashplayer too for some time, quite the same has those X crashes (lets say 2 months now)

1/Videos "tainted in blue"

Corrected thanks to this special config:

$ cat /etc/adobe/mms.cfg
EnableLinuxHWVideoDecode=1
OverrideGPUValidation=true

2/ Overlays : I could see a youtube video playing like in the xroot, on any one of the virtual desktop, or even some text above the video, for example libreoffice's one...

Corrected thanks to this:

 $ grep VDPAU /usr/bin/firefox
VDPAU_NVIDIA_NO_OVERLAY=1
export VDPAU_NVIDIA_NO_OVERLAY

(put that in the file at the beggining for example, or make this config system-wide (useless in my case, one user, one browser ... ))

I can provide lot more information if asked. PLease ring my bell.

Cheers,

Rocko (rockorequin) wrote :

Jean-Paul, are there any NRVM messages in /var/log/syslog or syslog.1 around the same time as the crash?

Jean-Paul Argudo (jean-paul) wrote :

@Rocko:

Per today's crash; traces in syslog:

Sep 11 10:58:19 deiphobe kernel: [11930.240664] NVRM: GPU at 0000:02:00: GPU-b08adb82-c19e-6daf-323e-679d8cd331d3
Sep 11 10:58:19 deiphobe kernel: [11930.674934] NVRM: GPU at 0000:03:00: GPU-ef2ebeda-9d25-7476-8c7a-e3217ca45e79

And the ones from the time of crash related in previous Xlog posted:

Sep 7 17:29:50 deiphobe kernel: [31730.941866] NVRM: GPU at 0000:02:00: GPU-b08adb82-c19e-6daf-323e-679d8cd331d3
Sep 7 17:29:51 deiphobe kernel: [31732.077048] NVRM: GPU at 0000:03:00: GPU-ef2ebeda-9d25-7476-8c7a-e3217ca45e79

Im not that much into kernel, but I guess this is useless, looks like the kernel found GPUs on the motherboard, right?

Anything more? Add some trace mode?

I have one crash per day, it's easy for me :)

Cheers,

Rocko (rockorequin) wrote :

Yes, you're right, those NVRM messages are fine - they just say that the driver found a couple of nvidia GPUs. I was wondering if you were getting Xid errors or the 'attempted to yield the CPU in atomic mode' mentioned earlier in the thread. Your issue might still be an nvidia problem - if the nvidia module locks up the kernel it can stop any further logging - but it might be a separate issue with X or unity. If you can do so, you could try removing one of the GPUs - I vaguely recall seeing other bugs related to running two nvidia cards.

bjfcom (bjfcom) wrote :

#250 ppa repository upgrade worked for me. Over a week now without crashes.

Luc Bruninx (luc2005) wrote :

The [SRU] NVIDIA driver 304.43 solve this problem for me too.

Pacho Ramos (pacho) wrote :

#286, Was that updated version released officially as an update for Ubuntu LTS? Or do I need to add an unofficial repository to be able to install it?

Thanks a lot for the information

Hector (hherrera1229) wrote :

Update: finally have a usable desktop with the 304.51 driver. its been about 2 full weeks running great with no hiccups after installing software or updates via the ubuntu software center or update manager. only thing ive noticed is that the random log outs return if i use my laptop on battery. this isnt such a big deal as my laptop is almost 2 years old and only lasts a little over an hour on battery anyway so when im doing serious work my laptop is always plugged in. but again when plugged in it works flawlessly!

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Alberto Milone (albertomilone) → Gabriel Santamaria (gabriel19916)
Omer Akram (om26er) wrote :

Hello everyone.

We have nvidia 304.43 driver in the precise proposed repository which fixes this issue. All you need to do is disable any third party drivers ppa (preferably ppa-purge) then enable the precise-proposed repository from software sources. then sudo apt-get update and after that you just need to go to 'Additional drivers' and select nvidia graphics drivers update and just install.

Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Gabriel Santamaria (gabriel19916) → nobody
abssorb (abssorb) wrote :

@Omer - Hi, Can you explain for the noob please?

Re: "enable the precise-proposed repository from software sources."

How to do this from the command line please? (lightdm, gnome and unity graphics are garbled so I have to use command line)

Also is it possible to do this only for updates to do with the graphics. I need the rest of the system to use a stable repo.
Thanks.

Jeff (rustysawdust) wrote :

I enabled precise-proposed (under the updates tab of the repositories dialog) and I've updated a number of times. I got a ton of updates but my nvidia drivers are still at 295.40 and still crashing.

Luc Bruninx (luc2005) wrote :

Use a package manager like Synaptic to select only nvidia driver and upgrade it without all others proposed packages.

Jeff (rustysawdust) wrote :

Found it, had to install "nvidia-current-updates".

Jeff (rustysawdust) wrote :

Scratch that, nvidia-current-updates didn't work at all; lsmod did not show any nvidia modules. Found "nvidia-experimental-304", nvidia-settings now shows 304.48, hopefully that will be less crashy.

Rocko (rockorequin) wrote :

304.51 is the least crashy version for me. It was really easy to reproduce the crash with both 304.43 and 304.48, but on 304.51 it only happens occasionally.

Jean-Paul Argudo (jean-paul) wrote :

Hi there,

Still having freezes with 304.51 on a Linux-x86_64 Ubuntu 12.04, X.Org X Server 1.11.3

2x560 Ti in SLI with 3 monitors in Xinerama

Xorgs shows 100% cpu in top:

    PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
   1949 root 20 0 295m 189m 48m R 100 3.2 17:13.36 /usr/bin/X :0 vt7 -br -nolisten tcp -auth /var/run/xauth/A:0-BChVza

See attached Xorg log for details.

I can provide files, or trace activity or whatever you need to find and correct the bug; just ask me !

Strange thing, the driver just before seemed to work well, about "[mi] EQ overflow continuing. " it was somehow adaptive or something like that, then, it was freezing for a second, and then, continue.

With the 304.51 I don't see this behaviour anymore, and then X goes 100% and freezes.

(its all about X freezing, not crashing or such).

Cheers,

Jean-Paul Argudo (jean-paul) wrote :

Hi there,

So, I just saw this morning that the automatic EQ size sizing is still doing things in my Xorg.log :

My X just freezed for a couple of seconds then the tail -f just showed:

Backtrace:
[ 8649.368] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f07f3ca9876]
[ 8649.368] 1: /usr/bin/X (0x7f07f3b21000+0x62a34) [0x7f07f3b83a34]
[ 8649.368] 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f07ebe8f000+0x5d88) [0x7f07ebe94d88]
[ 8649.368] 3: /usr/bin/X (0x7f07f3b21000+0x8af37) [0x7f07f3babf37]
[ 8649.368] 4: /usr/bin/X (0x7f07f3b21000+0xb0d1a) [0x7f07f3bd1d1a]
[ 8649.368] 5: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f07f2e47000+0xfcb0) [0x7f07f2e56cb0]
[ 8649.368] 6: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x8ebed) [0x7f07eca95bed]
[ 8649.368] 7: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x90475) [0x7f07eca97475]
[ 8649.368] 8: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x1140de) [0x7f07ecb1b0de]
[ 8649.368] 9: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x4eec80) [0x7f07ecef5c80]
[ 8649.368] 10: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x4ed705) [0x7f07ecef4705]
[ 8649.368] 11: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f07eca07000+0x4eeebd) [0x7f07ecef5ebd]
[ 8649.368] 12: /usr/bin/X (0x7f07f3b21000+0x11997c) [0x7f07f3c3a97c]
[ 8649.368] 13: /usr/bin/X (0x7f07f3b21000+0x4b53e) [0x7f07f3b6c53e]
[ 8649.368] 14: /usr/bin/X (0x7f07f3b21000+0xf1adb) [0x7f07f3c12adb]
[ 8649.368] 15: /usr/bin/X (0x7f07f3b21000+0x4e8a1) [0x7f07f3b6f8a1]
[ 8649.368] 16: /usr/bin/X (0x7f07f3b21000+0x3d7ba) [0x7f07f3b5e7ba]
[ 8649.368] 17: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f07f1cd876d]
[ 8649.368] 18: /usr/bin/X (0x7f07f3b21000+0x3daad) [0x7f07f3b5eaad]
[ 8649.801] [mi] Increasing EQ size to 512 to prevent dropped events.
[ 8649.801] [mi] EQ processing has resumed after 1109 dropped events.
[ 8649.801] [mi] This may be caused my a misbehaving driver monopolizing the server's resources.

Any idea on what is this?....

I saw previous weeks that this EQ size goes from 512 then 1024 then.. .etc.. 2^n ... and this is avoiding the total freeze... I had yesterday.. So I'm completely lost. Is my problem related to this thread's bug? Another one I couldn't find? Did nvidia solve this thread's bug or not? What about mine???

Lost!! :)
Cheers,

Florent Delayen (tnedel) wrote :

Hi everyone !

On Quantal I still have the bug with 304.51, but experimental 310.14 seems to be okay for the moment !

Testing is simple for me, scrolling this web page make 304.51 crashes every time, but for the moment 310.14 resists :)

Most of the time nouveau opensource driver is more efficient and less-buggy, I recommend it until you need something not provided (DisplayPort does not work well for example).

Hope it helps...

This is fixed more me...thanks...

bol (bol) wrote :
Download full text (4.1 KiB)

Another confirmation..

Hi, i have a similar problem that has been present since a couple of months with various driver versions, and i finally made it dissapear with nvidia-current-updates a month ago, and it worked just fine until today.

System info: Intel i7 2500k
8GB Ram
Intel SSD
Gfx: 01:00.0 VGA compatible controller: NVIDIA Corporation GF114 [GeForce GTX 560] (rev a1)
Ubuntu 12.04 LTS

Kernel: # uname -a
Linux trillian 3.2.0-35-generic #55-Ubuntu SMP Wed Dec 5 17:42:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Driver: # dpkg -l | grep nvidia-current
ii nvidia-current 295.40-0ubuntu1.1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-current-updates 304.43-0ubuntu0.1 NVIDIA binary Xorg driver, kernel module and VDPAU library

Previous problems experienced as described on this page: http://www.playtool.com/pages/artifacts/artifacts.html
Issue list: Bus Artifacts, Video RAM artifacts
Hard lockups
Firefox at 120% CPU
[migration/d] at 100% CPU (Multiple processes)

Current problems
Desktop Un-responsive, no action on input, eithier with keyboard or mouse
Black Screen with no mouse pointer
Firefox at 120% CPU
[migration/d] at 100% CPU (Multiple processes)
Possible to recover system via SSH to kill firefox which restarts lightdm and kills the session.
When logging in again, the same issue occures and this time i did a soft reboot via SSH "$ sudo reboot".
No lockups for a while now, but still waiting..

# tail -f x-0.log:
[mi] EQ overflowing. Additional events will be discarded until existing events are processed.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x26) [0x7f87d62be876]
1: /usr/bin/X (mieqEnqueue+0x263) [0x7f87d629ef53]
2: /usr/bin/X (0x7f87d6136000+0x62a34) [0x7f87d6198a34]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f87cdb77000+0x5d88) [0x7f87cdb7cd88]
4: /usr/bin/X (0x7f87d6136000+0x8af37) [0x7f87d61c0f37]
5: /usr/bin/X (0x7f87d6136000+0xb0d1a) [0x7f87d61e6d1a]
6: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f87d545c000+0xfcb0) [0x7f87d546bcb0]
7: /lib/x86_64-linux-gnu/libc.so.6 (nanosleep+0x10) [0x7f87d438b820]
8: /lib/x86_64-linux-gnu/libc.so.6 (usleep+0x34) [0x7f87d43b9774]
9: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x49942d) [0x7f87cf54f42d]
10: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x4996d6) [0x7f87cf54f6d6]
11: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x4999a5) [0x7f87cf54f9a5]
12: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x4999cc) [0x7f87cf54f9cc]
13: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x49b7b6) [0x7f87cf5517b6]
14: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so (0x7f87cf0b6000+0x4a6425) [0x7f87cf55c425]
15: /usr/bin/X (0x7f87d6136000+0x4e8a1) [0x7f87d61848a1]
16: /usr/bin/X (0x7f87d6136000+0x3d7ba) [0x7f87d61737ba]
17: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f87d42ed76d]
18: /usr/bin/X (0x7f87d6136000+0x3daad) [0x7f87d6173aad]
[mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
[mi...

Read more...

Hein (hhanssen) wrote :

Not fixed for me. Crash happens every 2 to 3 hours, especially when opening new windows and/or new programms. Is really annoying. Nouveau drivers are useless: they crash to: make artefacts on my screen. Using all different versions of Nvidia driver didn't solve this problem. System is very unstable.

Does it help if you type the following command?

sudo /usr/bin/nvidia-smi -pm 1

That command has to be entered every time you boot

Changed in nvidia-graphics-drivers (Ubuntu):
status: Fix Released → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: Fix Committed → Confirmed
Nicolas (kounips) wrote :

command not found

@bol - RE comment #301 - from your xorg.0.log, it looks like you are actually experiencing a different bug - as reported here:

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/1077616

I didn't experience the xorg crash for some time again. So that seems to be fixed for me.

But I am still getting

[31161.506308] NVRM: os_pci_init_handle: invalid context!
[31161.506313] NVRM: os_pci_init_handle: invalid context!
[31161.506324] NVRM: os_map_kernel_space: can't map 0xd0000000, invalid context!
[31161.506328] NVRM: os_pci_init_handle: invalid context!
[33531.507648] NVRM: os_pci_init_handle: invalid context!
[33531.507652] NVRM: os_pci_init_handle: invalid context!
[33531.507660] NVRM: os_map_kernel_space: can't map 0xd0000000, invalid context!
[33531.507662] NVRM: os_pci_init_handle: invalid context!

in the dmesg log and the system sometimes freezes for some seconds or behaves strange.

This often happens when playing video with the flash plugin.
It may happen more likey when opening more browser tabs and playing video.

So there is still another bug open:

See also other nvidia-related bugs that could be somehow related:
 * https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/976383
 * https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/1025693

Today the crash hit me again.

The computer was totally frozen and didn't even respond to ping.

Nate Wiebe (natew) wrote :

This bug has been fixed. If you are still having issues, open a new bug report.

Changed in nvidia-graphics-drivers (Ubuntu Precise):
assignee: Alberto Milone (albertomilone) → nobody
Thomas Hotz (thotz) wrote :

Marking as fixed due to comment #309.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: Confirmed → Fix Released
Displaying first 40 and last 40 comments. View all 311 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions